var MenuState = {
    secondImageButtonDown: null,
    secondImageButtonUp: null,
    clickedEnable: true,
    menu: null,
    window: [0, 1, 2, 3],
    plansze: [0, 1, 2, 3],

    secondImageDown: function() {
        // do zmiany obrazków
        if (this.secondImageButtonDown) {
            if (this.window[0] < 4) {
                this.window[0] += 4;
                this.window[1] += 4;
                this.window[2] += 4;
                this.window[3] += 4;
                this.create();
            } else {
                this.window[0] = 0;
                this.window[1] = 1;
                this.window[2] = 2;
                this.window[3] = 3;
                this.create();
            }
        }
    },

    secondImageUp: function() {
        // do zmiany obrazków
        if (this.secondImageButtonUp) {
            if (this.window[0] > 0) {
                this.window[0] -= 4;
                this.window[1] -= 4;
                this.window[2] -= 4;
                this.window[3] -= 4;
                this.create();
            } else {
                this.window[0] = 4;
                this.window[1] = 5;
                this.window[2] = 6;
                this.window[3] = 7;
                this.create();
            }
        }
    },
    buttons: [
        { image: 'para1', currentLevel: 1, x: 260, y: 170 },
        { image: 'para2', currentLevel: 2, x: -220, y: 170 },
        { image: 'para3', currentLevel: 3, x: 260, y: -90 },
        { image: 'para4', currentLevel: 4, x: -220, y: -90 },

        { image: 'para5', currentLevel: 5, x: 260, y: 170 },
        { image: 'para6', currentLevel: 6, x: -220, y: 170 },
        { image: 'para7', currentLevel: 7, x: 260, y: -90 },
        { image: 'para8', currentLevel: 8, x: -220, y: -90 },

    ],

    rozstawieniePlansz: function(i) {
        // plansze
        var posX = game.world.centerX - 165 - this.buttons[this.window[i]].x;
        var posY = game.world.centerY - 70 - this.buttons[this.window[i]].y;

        this.plansze[i] = MenuState.menu.create(posX - 18, posY + 23, this.buttons[this.window[i]].image);
        this.plansze[i].inputEnabled = true;
        this.plansze[i].input.useHandCursor = true;
        this.plansze[i].input.start(0, true);
        this.plansze[i].currentLevel = this.buttons[this.window[i]].currentLevel;
        this.plansze[i].posX = posX;
        this.plansze[i].posY = posY + 10;

        this.plansze[i].events.onInputDown.add(MenuState.start);
        this.plansze[i].events.onInputUp.add(MenuState.start);

    },

    create: function() {
        this.menu = game.add.group()
        this.background = MenuState.menu.create(0, 0, 'menuBackground');

        for (var j = 0; j < 4; j++) {
            this.rozstawieniePlansz(j);
        }
        // przycisk zmiany obrazków
        this.secondImageButtonDown = MenuState.add.button(game.world.centerX - 30, game.world.centerY + game.world.centerY * 0.8, 'przyciskDown', this.secondImageDown, this, 1, 0, 2);
        this.secondImageButtonDown.inputEnabled = true;
        this.secondImageButtonDown.input.useHandCursor = true;
        this.secondImageButtonDown.scale.setTo(0.5, 0.5);

        this.secondImageButtonUp = MenuState.add.button(game.world.centerX - 30, game.world.centerY + game.world.centerY * 0.8 - 40, 'przyciskUp', this.secondImageUp, this, 1, 0, 2);
        this.secondImageButtonUp.inputEnabled = true;
        this.secondImageButtonUp.input.useHandCursor = true;
        this.secondImageButtonUp.scale.setTo(0.5, 0.5);

    },

    start: function(item) {
        if (MenuState.clickedEnable) {
            GameState.currentLevel = item.currentLevel; // numer poziomu
            GameState.endLevelButtons.enable = true;
            this.game.state.start('GameState');
            MenuState.clickedEnable = false;
        }
    }
};