var StartState = {
    information: null,
    logo: null,
    clickEnable: true,

    create: function() {
        document.getElementById('canvasContainer').style.backgroundColor = '#ffffff';
        game.stage.backgroundColor = 0xFFFFFF;
        StartState.information = this.game.add.sprite(0, 0, 'informacja');
        StartState.information.alpha = 0;
        game.add.tween(StartState.information).to({ alpha: 1 }, 400, Phaser.Easing.Linear.None, true)
            .onComplete.add(function() {
                StartState.information.inputEnabled = true;
                StartState.information.input.useHandCursor = true;
                StartState.information.input.start(0, true);

                StartState.information.events.onInputDown.add(StartState.clickInformation);
                setTimeout(function() {
                    StartState.clickInformation();
                }, 3000)
            });
    },
    clickInformation: function() {
        if (StartState.clickEnable) {
            game.add.tween(StartState.information).to({ alpha: 0 }, 400, Phaser.Easing.Linear.None, true)
                .onComplete.add(function() {
                    StartState.logo = this.game.add.sprite(0, 0, 'startBackground');
                    StartState.logo.alpha = 0;
                    StartState.logo.inputEnabled = true;
                    StartState.logo.input.useHandCursor = true;
                    StartState.logo.input.start(0, true);

                    game.add.tween(StartState.logo).to({ alpha: 1 }, 400, Phaser.Easing.Linear.None, true)
                        .onComplete.add(function() {
                            StartState.clickEnable = true;

                            StartState.logo.events.onInputDown.add(StartState.start, this);
                            setTimeout(function() {
                                StartState.start();
                            }, 3000)
                        });
                });
            StartState.clickEnable = false;
        }
    },

    start: function() {
        if (StartState.clickEnable) {
            game.add.tween(StartState.logo).to({ alpha: 0 }, 1000, Phaser.Easing.Linear.None, true)
                .onComplete.add(function() {
                    this.game.state.start('MenuState');
                });
            StartState.clickEnable = false;
        }
    }
};